#********************************
#  General definitions
#********************************

PLATFORM = i86_n3

#**********************************************
# Directories
#**********************************************

VCG_KIT = ..
VCG_INC = $(VCG_KIT)\machind
VCG_LIB = vcg.lib
VCG_SRC = $(VCG_KIT)\machind
LIBNOACT = activation\lib\libnoact.lib
VENDOR = demo
VCG = $(VENDOR)_vcg

#**********************************************
# Compilation controls
#**********************************************

CC = cl

#
# Include files
#

INCS =  /I . \
        /I $(VCG_INC)

#
# Compiler flags
#

!if "$(DEBUG)" == "1"
DBG_CFLAGS = /MTd /Zi /FR /Fd$(VCG).pdb
!else
DBG_CFLAGS = /MT /O1
!endif

CFLAGS = /nologo /W3 /D"_CONSOLE" /D"$(PLATFORM)"\
                /D"WINNT" $(DBG_CFLAGS)

#
# Compilation rules
#

.c.obj:
        $(CC) $(CFLAGS) $(INCS) /c $<

#**********************************************
# Link controls
#**********************************************

LN = link

#
# XTRAOBJS is a good place to reference a vendor-defined hostid
# module, for instance
#

XTRAOBJS =

#
# Libraries
#

CLIBS = oldnames.lib wsock32.lib user32.lib gdi32.lib comctl32.lib crypt32.Lib\
        libcmt.lib kernel32.lib advapi32.lib netapi32.lib comdlg32.lib WbemUuid.Lib Ole32.Lib OleAut32.Lib Wintrust.Lib Ws2_32.lib psapi.lib shell32.lib

GENLIB =

LIBS = lmgr.lib libcrvs.lib libsb.lib lmgr_dongle.lib $(VCG_LIB) $(GENLIB) $(LIBNOACT)

#
# Link flags
#

!if "$(DEBUG)" == "1"
DBG_LFLAGS = /DEBUG /pdb:$(VCG).pdb
!else
DBG_LFLAGS =
!endif

LFLAGS = /NOLOGO /NOD /subsystem:console /machine:I386 $(DBG_LFLAGS)

#**********************************************
# Source files
#**********************************************

EXES =          $(VCG) 

#**********************************************
# Build targets
#**********************************************

all :   timestamp $(EXES)
        @echo !-----------------------------------
        @echo ! Done building VCG
        @echo !-----------------------------------

timestamp :
        @echo !-------------------------------------
        @echo ! Building VCG
        @echo !-------------------------------------

$(VCG) : $(VCG_LIB) vcg_vendor.obj
        $(LN) $(LFLAGS) /out:$*.exe $(VCG_LIB) vcg_vendor.obj $(XTRAOBJS) \
                        $(LIBS) $(CLIBS)

vcg_vendor.obj : $(VCG_SRC)\vcg_vendor.c \
                $(VCG_INC)\lmclient.h \
                $(VCG_INC)\vcg_code.h \
		 $(VCG_INC)\lmprikey.h
        $(CC) $(CFLAGS) $(INCS) /c $(VCG_SRC)\vcg_vendor.c

clean :
        -del *.obj
