/*******************************************************************************
  COPYRIGHT (C) 1997-2011 by Flexera Software. This software has been
  provided pursuant to a License Agreement containing restrictions on its use.
  This software contains confidential information of Flexera Software
  and is protected by copyright and other law.  It may not be copied or
  distributed in any form or medium, disclosed to third parties, reverse
  engineered or used in any manner not provided for in said License Agreement
  except with the prior written authorization from Flexera Software.
*******************************************************************************/
/*	%Z% $RCSfile: vcg_code.h,v $:v%R%.%L%.%B%.%S%	*/

#ifndef	_VCG_CODE_H_
#define	_VCG_CODE_H_

/*
 * Definitions
 */

/*
 * Vendor name - should match FLEXlm vendor name in FLEXlm machind/lm_code.h
 */
#define VENDOR_NAME "demo"

/*
 * Vendor VCG version - printed by the vcg vendor command - can be
 * any alphanumeric string
 */
#define VENDOR_VERSION "12.11.0.0"

/*
 * Vendor FLEXlm encryption seeds - set as in FLEXlm machind/lm_code.h.
 * To maintain compatibility with pre 8.1 FLEXlm, set seeds 1 and 2
 * if upgrading from pre-7.1, or seeds 1-4 if upgrading from 7.1+
 * If just starting with FLEXlm, set these 0
 */
#define ENCRYPTION_SEED1 0xDD4C3BA8
#define ENCRYPTION_SEED2 0xB5208DDF
#define ENCRYPTION_SEED3 0xC9F8B332
#define ENCRYPTION_SEED4 0xE8B07F51

/*
 * To maintain compatibility with pre 8.1 CRO, set this to LM_SIGN2.
*/
#define LM_SIGN_LEVEL LM_SIGN
/*
 * License key strength, as in FLEXlm (see FLEXlm machind/lm_cro.h) or
 * leave as default value if using FLEXlm v7.0 and below
 */

#define LM_STRENGTH LM_STRENGTH_LICENSE_KEY


/*
 * Controls whether to use a non-CRO-style 12- or 20-character license
 * key in addition to the SIGN= key.  Has no effect on pre-v7.1 licenses,
 * and in 7.1 licenses is effective only if the effective strength is
 * LM_STRENGTH_113BIT or greater.
 */
#define VCG_USE_LICENSE_KEY FALSE

/*
 * Flag specifying license file version compatibility.  Values are
 * in FLEXlm machind/lmclient.h.
 */
#define LM_VER_BEHAVIOR LM_BEHAVIOR_CURRENT


/*
 * Set to TRUE or FALSE to force behavior; otherwise default depends on
 * license format version.
 */
#define VCG_LICENSE_CASE_SENSITIVE -1

/*
 * VCG IP address validation
 * Turn on to deny non-routable, wildcards or loopback addresses.
 * Default: 1  (On)
 */
#define VCG_IP_VALIDATION 1

#endif	/* _VCG_CODE_H_ */
