/*******************************************************************************
  COPYRIGHT (C) 1997-2014 by Flexera Software. This software has been
  provided pursuant to a License Agreement containing restrictions on its use.
  This software contains confidential information of Flexera Software
  and is protected by copyright and other law.  It may not be copied or
  distributed in any form or medium, disclosed to third parties, reverse
  engineered or used in any manner not provided for in said License Agreement
  except with the prior written authorization from Flexera Software.
*******************************************************************************/
/*
 *	Module:		vcg_vendor.c v1.12
 *
 *	Description:	This module contains vendor specific global data used
 *			by the Vendor Certificate Generator (VCG).
 */

#ifndef	lint
static char sccsid[] = "@(#) vcg_vendor.c:v1.12.0.0";
#endif	/* lint */

/*
 * Includes
 */
#include "lmclient.h"
#include "vcg.h"
#include "vcg_code.h"
#include "lmprikey.h"
/*
 * Declarations of generator functions
 */
extern char *vcg_crypt_gen();
extern char *vcg_cryptstr_gen();

/*
 * Global variables
 */

/* Vendor name and version */
char *vendor_name = VENDOR_NAME;
char *vendor_version = VENDOR_VERSION;

/* Encryption seed information, plus key strength, behavior, etc. */
VCG_VENDORINFO vendor_info[] =
{
    { 
	ENCRYPTION_SEED1, 
	ENCRYPTION_SEED2, 
	ENCRYPTION_SEED3, 
	ENCRYPTION_SEED4,
	LM_STRENGTH,
        VCG_USE_LICENSE_KEY,
	VCG_LICENSE_CASE_SENSITIVE,
	LM_SIGN_LEVEL,
	VCG_IP_VALIDATION,
        LM_VER_BEHAVIOR
    }
};

unsigned int vcg_nvcodes = sizeof(vendor_info)/sizeof(VCG_VENDORINFO);

/* Product encryption generators */
VCG_GENERATOR vendor_generators[] =
{
    { vcg_cryptstr_gen, VCG_GEN_PROTO_API }
};




int i,j,k;


/*
    Prototype for the hostid set up routine:
    void vcg_vendor_hostid_setup(LM_HANDLE *lm_job)
    	parameter: lm_job Job used to make lc_set_attr() calls
*/
/* Vendor-defined hostid setup */
typedef void (*PFV)();
void (*vcg_vendor_hostid_setup)() = (PFV)0;

 void copyprivatekeys(){
	vl_priseedcnt=l_priseedcnt;
	for( i=0; i<2; i++){
		for( j=0; j<3; j++){
			for( k=0; k<40; k++){
				vlm_prikey[i][j][k]=lm_prikey[i][j][k];
			}
		}
	}
	for(i=0;i<4;i++){
		for(j=0;j<3;j++){
			vlm_prisize[i][j]=lm_prisize[i][j];
		}
	}
}
